MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
PidFile Class Reference

`#include <PidFile.hxx>`

## Public Member Functions
| PidFile (const AllocatedPath &path)
| PidFile (const PidFile &)=delete
void | Close ()
void | Delete (const AllocatedPath &path)
void | Write (pid_t pid)
void | Write ()

## Detailed Description

Definition at line 33 of file PidFile.hxx.

## Constructor & Destructor Documentation

PidFile::PidFile | ( | const AllocatedPath & | path | ) |
| inline

Definition at line 37 of file PidFile.hxx.

PidFile::PidFile | ( | const PidFile & |  | ) |
| delete

## Member Function Documentation

void PidFile::Close | ( |  | ) |
| inline

Definition at line 51 of file PidFile.hxx.

void PidFile::Delete | ( | const AllocatedPath & | path | ) |
| inline

Definition at line 58 of file PidFile.hxx.

void PidFile::Write | ( | pid_t | pid | ) |
| inline

Definition at line 70 of file PidFile.hxx.

void PidFile::Write | ( |  | ) |
| inline

Definition at line 81 of file PidFile.hxx.

The documentation for this class was generated from the following file:

- unix/PidFile.hxx